Users

Get Users

get
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Query parameters
searchTextstringOptional
$filterstringOptional

Filter results. See OData documentation https://www.odata.org/getting-started/basic-tutorial/#filter

$selectstringOptional

Request a limited set of properties. See OData documentation https://www.odata.org/getting-started/basic-tutorial/#select

$orderbystringOptional
$skipintegerOptional

The number of results to skip. See OData documentation https://www.odata.org/getting-started/basic-tutorial/#topskip

$topintegerOptional

The number of results to return. Defaults to 50. See OData documentation https://www.odata.org/getting-started/basic-tutorial/#topskip

Responses
chevron-right
200

Users found

idstring · uuidRead-onlyOptional
firstNamestring · max: 64Required
lastNamestring · max: 64Required
jobTitlestring · max: 512 · nullableOptional
profileImageUrlstring · nullableOptional
externalIdstring · max: 512 · nullableOptional
sourcestring · nullableOptional
emailstring · email · max: 1024Required
nmlsIdstring · max: 64 · nullableOptional
addressLine1string · max: 512 · nullableOptional
addressLine2string · max: 512 · nullableOptional
citystring · max: 256 · nullableOptional
statestring · max: 32 · nullableOptional
zipCodestring · max: 32 · nullableOptional
workPhonestring · max: 64 · nullableOptional
mobilePhonestring · max: 64 · nullableOptional
faxstring · max: 64 · nullableOptional
websitestring · nullableOptional
rolesstring[] · nullableOptional
enrollmentDatestring · date-time · nullableOptional
organizationIdstring · uuidRequired
hasRegisteredbooleanRead-onlyOptional
lastLoginOnstring · date-time · nullableRead-onlyOptional
createdOnstring · date-time · nullableRead-onlyOptional
updatedOnstring · date-time · nullableRead-onlyOptional
get
/users

Create a User

post
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Query parameters
sendInvitebooleanOptional

If true, sends the invite email after creation

Default: false
Body
idstring · uuidRead-onlyOptional
firstNamestring · max: 64Required
lastNamestring · max: 64Required
jobTitlestring · max: 512 · nullableOptional
profileImageUrlstring · nullableOptional
externalIdstring · max: 512 · nullableOptional
sourcestring · nullableOptional
emailstring · email · max: 1024Required
nmlsIdstring · max: 64 · nullableOptional
addressLine1string · max: 512 · nullableOptional
addressLine2string · max: 512 · nullableOptional
citystring · max: 256 · nullableOptional
statestring · max: 32 · nullableOptional
zipCodestring · max: 32 · nullableOptional
workPhonestring · max: 64 · nullableOptional
mobilePhonestring · max: 64 · nullableOptional
faxstring · max: 64 · nullableOptional
websitestring · nullableOptional
rolesstring[] · nullableOptional
enrollmentDatestring · date-time · nullableOptional
organizationIdstring · uuidRequired
hasRegisteredbooleanRead-onlyOptional
lastLoginOnstring · date-time · nullableRead-onlyOptional
createdOnstring · date-time · nullableRead-onlyOptional
updatedOnstring · date-time · nullableRead-onlyOptional
Responses
chevron-right
200

Success

Represents an audit record for an entity that has been created or updated.

idstring · nullableOptional

The unique identifier of the entity that was modified.

typestring · nullableOptional

A string indicating the type or category of the modified entity (e.g., “Webhook”, “LoanApplicationTask”).

createdTimestampstring · date-time · nullableOptional

The timestamp when the entity was first created.

updatedTimestampstring · date-time · nullableOptional

The timestamp when the entity was last updated.

post
/users
200

Success

Get a User

get
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Path parameters
idstring · uuidRequired
Responses
chevron-right
200

User with Id found

idstring · uuidRead-onlyOptional
firstNamestring · max: 64Required
lastNamestring · max: 64Required
jobTitlestring · max: 512 · nullableOptional
profileImageUrlstring · nullableOptional
externalIdstring · max: 512 · nullableOptional
sourcestring · nullableOptional
emailstring · email · max: 1024Required
nmlsIdstring · max: 64 · nullableOptional
addressLine1string · max: 512 · nullableOptional
addressLine2string · max: 512 · nullableOptional
citystring · max: 256 · nullableOptional
statestring · max: 32 · nullableOptional
zipCodestring · max: 32 · nullableOptional
workPhonestring · max: 64 · nullableOptional
mobilePhonestring · max: 64 · nullableOptional
faxstring · max: 64 · nullableOptional
websitestring · nullableOptional
rolesstring[] · nullableOptional
enrollmentDatestring · date-time · nullableOptional
organizationIdstring · uuidRequired
hasRegisteredbooleanRead-onlyOptional
lastLoginOnstring · date-time · nullableRead-onlyOptional
createdOnstring · date-time · nullableRead-onlyOptional
updatedOnstring · date-time · nullableRead-onlyOptional
get
/users/{id}

Delete a User

delete
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Path parameters
idstring · uuidRequired
Responses
delete
/users/{id}

No content

Update a User

patch
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Path parameters
idstring · uuidRequired
Body
idstring · uuidRead-onlyOptional
firstNamestring · max: 64Required
lastNamestring · max: 64Required
jobTitlestring · max: 512 · nullableOptional
profileImageUrlstring · nullableOptional
externalIdstring · max: 512 · nullableOptional
sourcestring · nullableOptional
emailstring · email · max: 1024Required
nmlsIdstring · max: 64 · nullableOptional
addressLine1string · max: 512 · nullableOptional
addressLine2string · max: 512 · nullableOptional
citystring · max: 256 · nullableOptional
statestring · max: 32 · nullableOptional
zipCodestring · max: 32 · nullableOptional
workPhonestring · max: 64 · nullableOptional
mobilePhonestring · max: 64 · nullableOptional
faxstring · max: 64 · nullableOptional
websitestring · nullableOptional
rolesstring[] · nullableOptional
enrollmentDatestring · date-time · nullableOptional
organizationIdstring · uuidRequired
hasRegisteredbooleanRead-onlyOptional
lastLoginOnstring · date-time · nullableRead-onlyOptional
createdOnstring · date-time · nullableRead-onlyOptional
updatedOnstring · date-time · nullableRead-onlyOptional
Responses
chevron-right
200

User updated successfully

Represents an audit record for an entity that has been created or updated.

idstring · nullableOptional

The unique identifier of the entity that was modified.

typestring · nullableOptional

A string indicating the type or category of the modified entity (e.g., “Webhook”, “LoanApplicationTask”).

createdTimestampstring · date-time · nullableOptional

The timestamp when the entity was first created.

updatedTimestampstring · date-time · nullableOptional

The timestamp when the entity was last updated.

patch
/users/{id}

Last updated